config.hxx File Reference
`#include <log4cplus/config/win32.h>`
`#include <log4cplus/helpers/thread-config.h>`
Include dependency graph for config.hxx:

Go to the source code of this file.

## Macros

#define | LOG4CPLUS_POOR_MANS_CHCONV
#define | LOG4CPLUS_DECLSPEC_EXPORT /* empty */
#define | LOG4CPLUS_DECLSPEC_IMPORT /* empty */
#define | LOG4CPLUS_DECLSPEC_PRIVATE /* empty */
#define | LOG4CPLUS_PRIVATE LOG4CPLUS_DECLSPEC_PRIVATE
#define | LOG4CPLUS_INLINE_EXPORT
#define | __has_feature(X)
#define | LOG4CPLUS_NOEXCEPT /* empty */
#define | LOG4CPLUS_NOEXCEPT_FALSE /* empty */
#define | LOG4CPLUS_FORMAT_ATTRIBUTE(archetype, fmt_index, first_arg_index)
#define | LOG4CPLUS_CALLER_FILE()
#define | LOG4CPLUS_CALLER_LINE()
#define | LOG4CPLUS_CALLER_FUNCTION()
#define | LOG4CPLUS_ATTRIBUTE_NORETURN /* empty */
#define | LOG4CPLUS_ATTRIBUTE_PURE /* empty */
#define | LOG4CPLUS_ATTRIBUTE_DEPRECATED /* empty */
#define | LOG4CPLUS_BUILTIN_EXPECT(exp, c)
#define | LOG4CPLUS_LIKELY(cond)
#define | LOG4CPLUS_UNLIKELY(cond)
#define | LOG4CPLUS_CONSTRUCTOR_FUNC(prio)
#define | LOG4CPLUS_INIT_PRIORITY(prio)
#define | LOG4CPLUS_INIT_PRIORITY_BASE (65535 / 2)
#define | LOG4CPLUS_THREADED(x)

## Macro Definition Documentation

## __has_feature

#define __has_feature | ( |  | X | ) |

Value:
0

__has_feature(X) is Clangs way for testing features. Define it to 0 if it does not exist.

Definition at line 90 of file config.hxx.

## LOG4CPLUS_ATTRIBUTE_DEPRECATED

#define LOG4CPLUS_ATTRIBUTE_DEPRECATED /* empty */

Definition at line 136 of file config.hxx.

Referenced by log4cplus::spi::InternalLoggingEvent::InternalLoggingEvent().

## LOG4CPLUS_ATTRIBUTE_NORETURN

#define LOG4CPLUS_ATTRIBUTE_NORETURN /* empty */

Definition at line 133 of file config.hxx.

## LOG4CPLUS_ATTRIBUTE_PURE

#define LOG4CPLUS_ATTRIBUTE_PURE /* empty */

Definition at line 135 of file config.hxx.

## LOG4CPLUS_BUILTIN_EXPECT

#define LOG4CPLUS_BUILTIN_EXPECT | ( |  | exp,
|  |  | c )

Value:
(exp)

Definition at line 137 of file config.hxx.

## LOG4CPLUS_CALLER_FILE

#define LOG4CPLUS_CALLER_FILE | ( |  | ) |

Value:
(nullptr)

Definition at line 121 of file config.hxx.

Referenced by log4cplus::Logger::forcedLog(), log4cplus::Logger::log(), and log4cplus::TraceLogger::TraceLogger().

## LOG4CPLUS_CALLER_FUNCTION

#define LOG4CPLUS_CALLER_FUNCTION | ( |  | ) |

Value:
(nullptr)

Definition at line 123 of file config.hxx.

Referenced by log4cplus::Logger::forcedLog(), log4cplus::Logger::log(), and log4cplus::TraceLogger::TraceLogger().

## LOG4CPLUS_CALLER_LINE

#define LOG4CPLUS_CALLER_LINE | ( |  | ) |

Value:
(-1)

Definition at line 122 of file config.hxx.

Referenced by log4cplus::Logger::forcedLog(), log4cplus::Logger::log(), and log4cplus::TraceLogger::TraceLogger().

## LOG4CPLUS_CONSTRUCTOR_FUNC

#define LOG4CPLUS_CONSTRUCTOR_FUNC | ( |  | prio | ) |

Value:
/* empty */

Definition at line 161 of file config.hxx.

## LOG4CPLUS_DECLSPEC_EXPORT

#define LOG4CPLUS_DECLSPEC_EXPORT /* empty */

Definition at line 42 of file config.hxx.

## LOG4CPLUS_DECLSPEC_IMPORT

#define LOG4CPLUS_DECLSPEC_IMPORT /* empty */

Definition at line 46 of file config.hxx.

## LOG4CPLUS_DECLSPEC_PRIVATE

#define LOG4CPLUS_DECLSPEC_PRIVATE /* empty */

Definition at line 50 of file config.hxx.

## LOG4CPLUS_FORMAT_ATTRIBUTE

#define LOG4CPLUS_FORMAT_ATTRIBUTE | ( |  | archetype,
|  |  | fmt_index,
|  |  | first_arg_index )

Value:
/* empty */

Definition at line 109 of file config.hxx.

Referenced by log4cplus_logger_force_log(), log4cplus_logger_log(), log4cplus::helpers::snprintf_buf::print(), and log4cplus::helpers::snprintf_buf::print_va_list().

## LOG4CPLUS_INIT_PRIORITY

#define LOG4CPLUS_INIT_PRIORITY | ( |  | prio | ) |

Value:
/* empty */

Definition at line 168 of file config.hxx.

## LOG4CPLUS_INIT_PRIORITY_BASE

#define LOG4CPLUS_INIT_PRIORITY_BASE (65535 / 2)

Definition at line 171 of file config.hxx.

## LOG4CPLUS_INLINE_EXPORT

#define LOG4CPLUS_INLINE_EXPORT

Definition at line 72 of file config.hxx.

## LOG4CPLUS_LIKELY

#define LOG4CPLUS_LIKELY | ( |  | cond | ) |

Value:
LOG4CPLUS_BUILTIN_EXPECT(!! (cond), 1)
LOG4CPLUS_BUILTIN_EXPECT
#define LOG4CPLUS_BUILTIN_EXPECT(exp, c)
Definition config.hxx:137

Definition at line 140 of file config.hxx.

## LOG4CPLUS_NOEXCEPT

#define LOG4CPLUS_NOEXCEPT /* empty */

Definition at line 101 of file config.hxx.

Referenced by log4cplus::helpers::AbstractSocket::AbstractSocket(), log4cplus::helpers::SharedObject::addReference(), log4cplus::Logger::Logger(), log4cplus::Logger::Logger(), log4cplus::Logger::Logger(), log4cplus::helpers::AbstractSocket::operator=(), log4cplus::helpers::ServerSocket::operator=(), log4cplus::helpers::SharedObject::operator=(), log4cplus::helpers::SharedObject::operator=(), log4cplus::helpers::SharedObjectPtr< Appender >::operator=(), log4cplus::helpers::Socket::operator=(), log4cplus::Logger::operator=(), log4cplus::Logger::operator=(), log4cplus::helpers::ServerSocket::ServerSocket(), log4cplus::helpers::SharedObjectPtr< Appender >::SharedObjectPtr(), log4cplus::helpers::SharedObjectPtr< Appender >::SharedObjectPtr(), log4cplus::helpers::SharedObjectPtr< Appender >::SharedObjectPtr(), log4cplus::helpers::Socket::Socket(), log4cplus::helpers::SharedObjectPtr< Appender >::swap(), and log4cplus::Logger::swap().

## LOG4CPLUS_NOEXCEPT_FALSE

#define LOG4CPLUS_NOEXCEPT_FALSE /* empty */

Definition at line 102 of file config.hxx.

Referenced by log4cplus::HierarchyLocker::~HierarchyLocker().

## LOG4CPLUS_POOR_MANS_CHCONV

#define LOG4CPLUS_POOR_MANS_CHCONV

Definition at line 38 of file config.hxx.

## LOG4CPLUS_PRIVATE

#define LOG4CPLUS_PRIVATE LOG4CPLUS_DECLSPEC_PRIVATE

Definition at line 53 of file config.hxx.

Referenced by log4cplus::internal::CustomLogLevelManager::customFromStringMethod(), log4cplus::internal::CustomLogLevelManager::customToStringMethod(), log4cplus::spi::LogLevelMatchFilter::decide(), log4cplus::spi::LogLevelRangeFilter::decide(), log4cplus::spi::MDCMatchFilter::decide(), log4cplus::spi::NDCMatchFilter::decide(), log4cplus::spi::StringMatchFilter::decide(), log4cplus::internal::getCustomLogLevelManager(), log4cplus::Hierarchy::shutdown(), log4cplus::MDC::~MDC(), and log4cplus::NDC::~NDC().

## LOG4CPLUS_THREADED

#define LOG4CPLUS_THREADED | ( |  | x | ) |

Value:
x

Definition at line 178 of file config.hxx.

## LOG4CPLUS_UNLIKELY

#define LOG4CPLUS_UNLIKELY | ( |  | cond | ) |

Value:
LOG4CPLUS_BUILTIN_EXPECT(!! (cond), 0)

Definition at line 141 of file config.hxx.

Referenced by log4cplus::helpers::convertIntegerToString(), log4cplus::internal::get_ptd(), log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, true >::step1(), and log4cplus::thread::impl::tls_cleanup().